DocsAPI ReferenceEmailer/bff/emailer/template-edit
postEmailerAdmin BFF

/bff/emailer/template-edit

Updates the subject, content, and locale of an existing email template.

EmailerpostBffEmailerTemplate-edit

Parameters

4 body

4 total
Body · 4
templateCodestringRequired

Template code identifier to update.

subjectstringRequired

Updated email subject line.

templatestringRequired

Updated HTML template content.

localestringRequired

Communication locale code used to filter content.

Supported locales: cs, en, fr, it, pl, de, sk, sv, es, zh, ja, uk, da.

Length: 22

Request

POST /bff/emailer/template-edit

post
curl -X POST "https://api.bizkithub.com/bff/emailer/template-edit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "templateCode": "order-confirmed-v1",
  "subject": "example_subject",
  "template": "example_template",
  "locale": "cs"
}'

Response

JSON payload

{
  "success": true
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key